1. dzemobond's Avatar
    Hello all,

    I have 2G ifone that I wish to jailbreak and use with T-mobile. Problem is that phone is stuck in only Emergency call mode. iTunes 8.0.1 forces me to register it with ATT. I also downloaded iTunes 7.5 and 7.7 both of which somehow know of newer versions of iTunes and then forces me to upgrade to 8+ version.

    Anyone has any idea what to do at this point?
    Regards.
    10-19-2008 07:14 PM
  2. Rene Ritchie's Avatar
    Did you try Bad Ash's super duper iPhone 2G Jailbreak guide?

    How to: Jailbreak/Unlock Your 1st Generation iPhone 2.1 - Windows PC Edition | The iPhone Blog
    10-20-2008 12:25 AM
  3. Jeremy's Avatar
    Rene has it right. Simply update to the latest version of iTunes, then update your iPhone to the latest firmware, and finally follow the guide that Rene so kindly posted a link to. Simple as that.
    10-20-2008 11:06 AM
  4. Smthcrmnl's Avatar
    Hey guys I have the same problem...I used those step by step instructions...it says at the end of it that everything is successful...iphone loads up with cydia and installer...so the jailbreak works....however when I throw in my buddies AT&T SIM card from his Razor it says "diff SIM card"...what am I doing wrong?

    Bought this iphone from someone and updated the firmware 2.1 through iTunes (latest version "8") can't seem to figure it out.....any help would be greatly appreciated.


    thanks!
    10-27-2008 12:49 PM
  5. Smthcrmnl's Avatar
    I got it to work all good...all I did was re did the entire process even the update to the 2.1 firmware without the SIM card in my iphone...at the end of it popped in my friends SIM card and all is well phone works, cdia, intaller...love it!
    10-28-2008 09:53 PM
  6. momo1669's Avatar
    everytime i have quickpwn open and i select the firmwire it says its not the right one and if i click on the 3.0 i have it says its not supported...can someone please help me
    07-31-2009 08:04 PM
  7. alvink83's Avatar
    everytime i have quickpwn open and i select the firmwire it says its not the right one and if i click on the 3.0 i have it says its not supported...can someone please help me
    Please make sure you're downloading the correct firmware for your iPhone.


    Cheers~~
    08-01-2009 10:21 AM
  8. jlfosberg's Avatar
    i followed the steps and the iPhone 2.2.1 ISPW file downloads as a zip file and it makes it impossible to finish the steps.... what am i doing wrong??? please help! im stressin here =(
    08-08-2009 11:04 PM
LINK TO POST COPIED TO CLIPBOARD